import * as React from 'react';
import { ProviderProps } from './create-single-rhino-state';
interface StateObject {
    [key: string]: any | (() => any);
}
/**
 *
 * Function to creates global state using rhino
 * @param globalStatesObject An Object containing all the global states to be created
 * @example <caption>Sample Use of createRhinoState</caption>
 * const { Provider, useRhinoState }=createRhinoState({user:"John Doe",isLoggedIn:true});
 */
declare function createRhinoState(globalStatesObject: StateObject): {
    RhinoProvider: ({ children }: ProviderProps) => JSX.Element;
    useRhinoState: <T>(key: string) => [T, React.Dispatch<React.SetStateAction<T>>];
    useRhinoValue: <T_1>(key: string) => T_1;
    useSetRhinoState: <T_2>(key: string) => React.Dispatch<React.SetStateAction<T_2>>;
};
export default createRhinoState;
